var cs1, binary;
var cs2, binary;
var cs3, binary;
var cs4, binary;
var cs5, binary;

var y1 >= 0, integer;
var y2 >= 0, integer;
var y3 >= 0, integer;
var y4 >= 0, integer;
var y5 >= 0, integer;
var y6 >= 0, integer;

s.t. bcsoki: cs2 + cs4 + cs5 - y1 = 1;
s.t. bnarancs: cs1 + cs4 - y2 = 1;
s.t. bmogyoro: cs1 + cs2 - y3 = 1;
s.t. bvirgacs: cs3 + cs5 - y4 = 1;
s.t. bkinder: cs3 + cs4 - y5 = 1;
s.t. bgumicukor: cs2 + cs3 - y6 = 1;

minimize koltseg: (5*cs1 + cs2*10 + cs3*3 + cs4*4 + cs5*6) + (y1*2 + y2*3 + y3*1 + y4*4 + y5*5 + y6*6);
end;